classification
Title: Hashable documentation improvement needed
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, eric.smith, mPython, martin.panter, orsenthil, steven.daprano, xiang.zhang
Priority: normal Keywords:

Created on 2016-05-04 12:21 by mPython, last changed 2017-04-02 03:11 by orsenthil. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 948 merged cheryl.sabella, 2017-04-01 13:18
PR 957 merged orsenthil, 2017-04-02 02:52
PR 958 merged orsenthil, 2017-04-02 02:53
Messages (12)
msg264805 - (view) Author: (mPython) Date: 2016-05-04 12:21
On following page: https://docs.python.org/3/glossary.html#term-hashable sentence "All of Python’s immutable built-in objects are hashable, while no mutable containers (such as lists or dictionaries) are." is not complete - probably a word "not" is needed on the end.
msg264813 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2016-05-04 13:15
I think the original is OK. Adding "not" means the opposite.
msg264820 - (view) Author: Steven D'Aprano (steven.daprano) * (Python committer) Date: 2016-05-04 14:36
Xiang Zhang is correct: the original is technically correct. If you read it like this:

"All of Python’s immutable built-in objects are hashable, while no mutable containers (such as lists or dictionaries) are [hashable]."

it should be clear. But if you have a suggestion for wording which is easier to understand (especially for those whose English is not so good) please say so.
msg264822 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2016-05-04 15:14
I'm a native speaker, and it's not the greatest sentence. How about:

All of Python’s immutable built-in objects (such as numbers, strings and tuples) are hashable. None of its mutable containers (such as lists or dictionaries) are hashable.
msg264876 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2016-05-05 05:31
As a non-native speaker, actually I prefer the original one. But both versions lead to no confusion for me.
msg264901 - (view) Author: (mPython) Date: 2016-05-05 10:08
Just to mention that I'm not native speaker, and I'm Django (Python) beginner. I'm very good in C++, Java and in last 12 years read a lot IT documentation. Mentioned sentence was not clear enough for me so I created this ticket.
msg291007 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2017-04-01 23:13
The pull request currently suggests “All of Python’s immutable built-in objects are hashable; mutable containers (such as lists or dictionaries) are not.” This seems better wording than the original.

FWIW, I would have tried “Python’s built-in immutable objects are hashable, while mutable containers (such as lists and dictionaries) are not hashable.”
msg291011 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2017-04-02 02:50
New changeset 64c887ab3a400cf91bde4f0c5ef69eacc88bc5e1 by Senthil Kumaran (csabella) in branch 'master':
bpo-26947: DOC: clarify wording on hashable in glossary (#948)
https://github.com/python/cpython/commit/64c887ab3a400cf91bde4f0c5ef69eacc88bc5e1
msg291012 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2017-04-02 03:00
New changeset a71a3ad54d14483cfaebd8e0fb96c97c798d9e32 by Senthil Kumaran in branch '3.6':
bpo-26947: DOC: clarify wording on hashable in glossary (#948) (#957)
https://github.com/python/cpython/commit/a71a3ad54d14483cfaebd8e0fb96c97c798d9e32
msg291013 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2017-04-02 03:00
New changeset 51fc7e3d6a29de7b3142e51f8caf4d31f7ac72a0 by Senthil Kumaran in branch '3.5':
bpo-26947: DOC: clarify wording on hashable in glossary (#948) (#958)
https://github.com/python/cpython/commit/51fc7e3d6a29de7b3142e51f8caf4d31f7ac72a0
msg291015 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2017-04-02 03:03
I reviewed in the pull request. I agree that the wording was slightly better than the original.
msg291016 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2017-04-02 03:11
I have to admit, I did not see some of the negative votes in this ticket before merging the patch. If your is opposition is strong,  please comment and suggest a better improvement over the patch. thank you!
History
Date User Action Args
2017-04-02 03:11:39orsenthilsetmessages: + msg291016
2017-04-02 03:03:20orsenthilsetmessages: + msg291015
2017-04-02 03:02:29orsenthilsetstatus: open -> closed
type: behavior
resolution: fixed
stage: resolved
2017-04-02 03:00:43orsenthilsetmessages: + msg291013
2017-04-02 03:00:38orsenthilsetmessages: + msg291012
2017-04-02 02:53:02orsenthilsetpull_requests: + pull_request1140
2017-04-02 02:52:58orsenthilsetpull_requests: + pull_request1139
2017-04-02 02:50:50orsenthilsetnosy: + orsenthil
messages: + msg291011
2017-04-01 23:13:50martin.pantersetnosy: + martin.panter

messages: + msg291007
title: Documentation improvement needed -> Hashable documentation improvement needed
2017-04-01 13:18:38cheryl.sabellasetpull_requests: + pull_request1130
2016-05-05 10:08:06mPythonsetmessages: + msg264901
2016-05-05 05:31:52xiang.zhangsetmessages: + msg264876
2016-05-04 15:14:20eric.smithsetnosy: + eric.smith
messages: + msg264822
2016-05-04 14:36:13steven.dapranosetnosy: + steven.daprano
messages: + msg264820
2016-05-04 13:15:53xiang.zhangsetnosy: + xiang.zhang
messages: + msg264813
2016-05-04 12:21:35mPythoncreate